OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTL
RWStl

# RWStl Class Reference

This package contains the methods to be used in
the Stereo Lithograpy Application. The main
features of this application are ,starting from a
Shape :
- mesh this shape with a maximun tolerance,
- display the meshing,
- write the meshing in a file (binary or ascii),
- read of file (binary or ascii) and display it,
- translate a binary file to an ascii file,
- translate an ascii file to an binary file.
.

`#include <RWStl.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | WriteBinary (const Handle(StlMesh_Mesh)&aMesh, const OSD_Path &aPath)
| write the meshing in a file following the binary format of an STL file. Returns false if the cannot be opened;
static Standard_EXPORT Standard_Boolean | WriteAscii (const Handle(StlMesh_Mesh)&aMesh, const OSD_Path &aPath)
| write the meshing in a file following the Ascii format of an STL file. Returns false if the cannot be opened;
static Standard_EXPORT Handle_StlMesh_Mesh | ReadFile (const OSD_Path &aPath)
| This method will chwck if the file is a binary file or an AsciiFile testing the 5 first characters of the file wich are :"solid" in an ascii file. If we do not find that word we assume that it is a binary file. .
static Standard_EXPORT Handle_StlMesh_Mesh | ReadBinary (const OSD_Path &aPath)
| Read a meshing from a binary file Raises NoMoreObject from Standard if a statement does not contain the right number of tokens Raises TypeMisMatch if a token has not the good type (often real) .
static Standard_EXPORT Handle_StlMesh_Mesh | ReadAscii (const OSD_Path &aPath)
| Read a meshing from a binary file Raises NoMoreObject from Standard if a statement does not contain the right number of tokens Raises TypeMisMatch if a token has not the good type (often real) Raises MoMoreObject if a file is finished before having found the word endsolid; .

## Member Function Documentation

void RWStl::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStl::operator new | ( | size_t | size | ) | `[inline]`

void* RWStl::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_StlMesh_Mesh RWStl::ReadAscii | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT Handle_StlMesh_Mesh RWStl::ReadBinary | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT Handle_StlMesh_Mesh RWStl::ReadFile | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT Standard_Boolean RWStl::WriteAscii | ( | const Handle(StlMesh_Mesh)& | aMesh,
|  | const OSD_Path & | aPath
| ) | `[static]`

static Standard_EXPORT Standard_Boolean RWStl::WriteBinary | ( | const Handle(StlMesh_Mesh)& | aMesh,
|  | const OSD_Path & | aPath
| ) | `[static]`

The documentation for this class was generated from the following file:

- RWStl.hxx